#################
## Code for use with      ##
## Gary Koop's book      ##
## Analysis of                ##
## Economic data 2Ed   ##
##                                ##
## K Shutes                  ##
## 2008-03-10 10:19   ##
##                                 ##
#################


## Creates new plots automatically for windows, mac and Linux
newgraph<-function(platform=.Platform$GUI)
{
    print(platform)
    if(platform=='Rgui')
    return(windows())
    if(platform=='AQUA')
    return(quartz())
    else
    return(x11())
    }
    
pause<-function()
 {
    cat('Paused. Pres <Enter> to continue')
    readline()
    invisible()
    
    
    }       
    
    
## Ex 6.1  
fitsum<-lm(saleprice~lotsize+bed+bath+stories)
summary(fitsum)
  
 ##Ex 6.2 
    
  house<-read.table('../Text/HPRICE1.txt',header=T)  
  attach(house)
 newgraph()
 par(mfrow=c(2,2))
 plot(lotsize,saleprice)
 plot(bed,saleprice)
 plot(bath,saleprice)
 plot(stories,saleprice)
 pause()
 a<-2:5
 fit<-lapply(a,function(a){print(paste('Independent Variable:',names(house[a])))
print(summary(lm(saleprice~house[,a])))
    })
   
   


fit1<-lm(saleprice~lotsize+bed)
summary(fit1) 
fit2<-lm(saleprice~lotsize+bath)
summary(fit2) 
fit3<-lm(saleprice~lotsize+stories)
summary(fit3) 

detach(house)

## Ex 6.3
forest<-read.table('../Text/FOREST1.txt',header=T)                  ## Note that the file is different as the headers are spread over 2 lines in the original
attach(forest)

forfit<-lm(Forestloss~Popdensity+Cropchange+Pasturechange)
summary(forfit)
print(cor(forest[,-1]))
detach(forest)

electric<-read.table('../Text/ELECTRIC1.txt',header=T)                  ## Note that the file is different as the headers are spread over 2 lines in the original
attach(electric)
Tab66<-summary(lm(Cost~Output+Price_Lab+Price_K+Price_Fuel))

print(cor(electric[,-1]))

Tab68<-update(Tab66,.~.-Price_K)
print(summary(Tab68))

